//===- SparcFrameLowering.h - Define frame lowering for Sparc --*- C++ -*--===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
//
//
//===----------------------------------------------------------------------===//

#ifndef SPARC_FRAMEINFO_H
#define SPARC_FRAMEINFO_H

#include "Z80.h"
#include "Z80Subtarget.h"
#include "llvm/Target/TargetFrameLowering.h"

namespace llvm {
  class Z80Subtarget;

class Z80FrameLowering : public TargetFrameLowering {
  const Z80Subtarget &STI;
public:
  explicit Z80FrameLowering(const Z80Subtarget &sti)
    : TargetFrameLowering(TargetFrameLowering::StackGrowsDown, 8, 0), STI(sti) {
  }

  /// emitProlog/emitEpilog - These methods insert prolog and epilog code into
  /// the function.
  void emitPrologue(MachineFunction &MF) const;
  void emitEpilogue(MachineFunction &MF, MachineBasicBlock &MBB) const;

  bool hasFP(const MachineFunction &MF) const { return false; }
};

} // End llvm namespace

#endif
