//===- SparcRegisterInfo.h - Sparc Register Information Impl ----*- C++ -*-===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
// This file contains the Sparc implementation of the TargetRegisterInfo class.
//
//===----------------------------------------------------------------------===//

#ifndef SPARCREGISTERINFO_H
#define SPARCREGISTERINFO_H

#include "llvm/Target/TargetRegisterInfo.h"

#define GET_REGINFO_HEADER
#include "Z80GenRegisterInfo.inc"

namespace llvm {

class TargetInstrInfo;
class Type;

struct Z80RegisterInfo : public Z80GenRegisterInfo {
	Z80RegisterInfo(const TargetInstrInfo &tii);
	virtual unsigned getFrameRegister(const MachineFunction &MF) const;
	virtual BitVector getReservedRegs(const MachineFunction &MF) const;
	const unsigned *getCalleeSavedRegs(const MachineFunction* MF = 0) const;
	void eliminateFrameIndex(MachineBasicBlock::iterator MI,
                           int SPAdj, RegScavenger *RS = NULL) const;

	static std::string getPrettyName(unsigned reg);
};

} // end namespace llvm

#endif 
